%define		pname interworx-cli
%define		pversion 2.2.0
%define 	bversion 42
%define		rpmrelease iworx
%define		iworxdir /home/interworx

%define 	debug_package %{nil}

# Distro Statements
%define         oscode rhe%{?rhel}x

%if 0%{?rhel} && 0%{?rhel} <= 7
%define         ostype RedHat Enterprise %{?rhel}.x
%endif

%if 0%{?rhel} >= 8
%define         ostype Almalinux %{?rhel}.x
%endif

%define		ccflags %{optflags}
%define		ldflags %{optflags}

%define	release %{bversion}.%{oscode}.%{rpmrelease}


############### RPM ################################

Summary:	Interworx Command Line Tools
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	distributable

Group:		Applications/Internet
Source0:	%{pname}-%{version}.tar.gz

URL:		http://www.interworx.com

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C.
Packager:	Tim College <tcollege@interworx.com>

BuildRequires:	gcc
Requires:	interworx

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Provides /usr/bin/nodeworx and /usr/bin/siteworx command line interworx api tools.
See: http://www.interworx.com/support/docs/cli

%prep

[ -n %{buildroot} ] && rm -rf %{buildroot}

[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%setup -q -n %{pname}-%{version}

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="gcc %{ccflags}"


%build

%{__make} %{?_smp_mflags}

%install

mkdir -p %{buildroot}/usr/bin

install -m04711 nodeworx %{buildroot}/usr/bin
install -m04711 siteworx %{buildroot}/usr/bin

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files
%defattr(-,root,root)

%attr(04711,root,root) /usr/bin/nodeworx
%attr(04711,root,root) /usr/bin/siteworx

%changelog
* Thu Jan 20 2022 Tim College <tcollege@interworx.com>
- Spec file cleanup (gcc resolution, remove old --with* args)
* Mon Jul 19 2021 Tim College <tcollege@interworx.com>
- Add support for building for Almalinux 8
* Mon Jul 12 2021 Tim College <tcollege@interworx.com>
- Remove build code for EOL OS
* Tue Sep 15 2020 Paul Oehler <poehler@interworx.com>
- Use only explicit environment variables
* Tue Jun 02 2020 Paul Oehler <poehler@interworx.com>
- Set explicit PATH
* Fri Oct 01 2010 Paul Oehler <poehler@interworx.com>
- Initial packaging

